<p-dataList [value]="unitDocumentMessage" [paginator]="true" [rows]="itemsPerPage" [lazy]="true" (onLazyLoad)="loadDataLazy($event)"
    [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems">
    <ng-template let-rowData let-i="index" pTemplate="item">
        <a [routerLink]="['../approval-kacab-receive/', rowData.idreqnot]" (click)="gotoDetail(rowData)" style="color:black;">
            <div class="ui-g ui-fluid border-item">
                <div class="ui-g-5 ui-md-5">
                    <div *ngIf="rowData.IdReqnotType === 31" class="ui-g-12 ui-sm-12">
                        <div>
                            <h6>Approval Request Note</h6>
                        </div>
                        <div>Jumlah : {{rowData.totalQty}} Unit</div>
                        <div>Request Note Number :{{rowData.reqnotnumber}}</div>
                        <div>Dealer Pemohon : {{rowData.pemohon}}</div>
                    </div>
                    <div *ngIf="rowData.IdReqnotType === 32" class="ui-g-12 ui-sm-12">
                        <div>
                            <h6>Approval Request Note POS</h6>
                        </div>
                        <div>Jumlah : {{rowData.totalQty}} Unit</div>
                        <div>Request Note Number :{{rowData.reqnotnumber}}</div>
                        <div>Lokasi Tujuan : {{rowData.LocationTo}}</div>
                    </div>
                    <div *ngIf="rowData.IdReqnotType === 33" class="ui-g-12 ui-sm-12">
                        <div>
                            <h6>Approval Request Note Event</h6>
                        </div>
                        <div>Jumlah : {{rowData.totalQty}} Unit</div>
                        <div>Request Note Number :{{rowData.reqnotnumber}}</div>
                        <div>Nama Event : {{rowData.eventName}}</div>
                    </div>
                </div>
            </div>
        </a>
    </ng-template>
</p-dataList>